package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

public class TabHaobanTemplateApplicationRelated implements Serializable {
    private String templateApplicationRelatedId;

    private String applicationId;

    private String templateId;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public String getTemplateApplicationRelatedId() {
        return templateApplicationRelatedId;
    }

    public void setTemplateApplicationRelatedId(String templateApplicationRelatedId) {
        this.templateApplicationRelatedId = templateApplicationRelatedId == null ? null : templateApplicationRelatedId.trim();
    }

    public String getApplicationId() {
        return applicationId;
    }

    public void setApplicationId(String applicationId) {
        this.applicationId = applicationId == null ? null : applicationId.trim();
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId == null ? null : templateId.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}